wxWidgets: Math

| Version: 3.0.4

Functions
Math
Functions and Macros by Category

## Detailed Description

The functions in this section are typically related with math operations and floating point numbers.

## Functions
int | wxFinite (double x)
| Returns a non-zero value if x is neither infinite nor NaN (not a number), returns 0 otherwise. More...
bool | wxIsNaN (double x)
| Returns a non-zero value if x is NaN (not a number), returns 0 otherwise. More...
wxFloat64 | wxConvertFromIeeeExtended (const wxInt8 *bytes)
| Converts the given array of 10 bytes (corresponding to 80 bits) to a float number according to the IEEE floating point standard format (aka IEEE standard 754). More...
void | wxConvertToIeeeExtended (wxFloat64 num, wxInt8 *bytes)
| Converts the given floating number num in a sequence of 10 bytes which are stored in the given array bytes (which must be large enough) according to the IEEE floating point standard format (aka IEEE standard 754). More...
int | wxRound (double x)
| Small wrapper around round(). More...
bool | wxIsSameDouble (double x, double y)
| Returns true if both double values are identical. More...
bool | wxIsNullDouble (double x)
| Return true of x is exactly zero. More...

## Function Documentation

## ◆ wxConvertFromIeeeExtended()

wxFloat64 wxConvertFromIeeeExtended | ( | const wxInt8 * | bytes | ) |

Converts the given array of 10 bytes (corresponding to 80 bits) to a float number according to the IEEE floating point standard format (aka IEEE standard 754).

See also
  wxConvertToIeeeExtended() to perform the opposite operation

## ◆ wxConvertToIeeeExtended()

void wxConvertToIeeeExtended | ( | wxFloat64 | num,
|  | wxInt8 * | bytes
| ) |  |

Converts the given floating number num in a sequence of 10 bytes which are stored in the given array bytes (which must be large enough) according to the IEEE floating point standard format (aka IEEE standard 754).

See also
  wxConvertFromIeeeExtended() to perform the opposite operation

## ◆ wxFinite()

int wxFinite | ( | double | x | ) |

Returns a non-zero value if x is neither infinite nor NaN (not a number), returns 0 otherwise.

Include file:

    #include <wx/math.h>

## ◆ wxIsNaN()

bool wxIsNaN | ( | double | x | ) |

Returns a non-zero value if x is NaN (not a number), returns 0 otherwise.

Include file:

    #include <wx/math.h>

## ◆ wxIsNullDouble()

bool wxIsNullDouble | ( | double | x | ) |

Return true of x is exactly zero.

This is only reliable if it has been assigned 0.

## ◆ wxIsSameDouble()

bool wxIsSameDouble | ( | double | x,
|  | double | y
| ) |  |

Returns true if both double values are identical.

This is only reliable if both values have been assigned the same value.

## ◆ wxRound()

int wxRound | ( | double | x | ) |

Small wrapper around round().